X2Go Bug report logs - #202
Possibly breakage in x2goumount-session for usernames that contain spaces

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Tue, 7 May 2013 10:33:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.0.1-0~648~precise1

Fixed in version 4.0.0.5

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#202; Package x2goserver. (Tue, 07 May 2013 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 07 May 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: Strange crash?
Date: Tue, 7 May 2013 12:26:02 +0200
package: x2goserver
Severity: normal
Version: 4.0.0.1-0~648~precise1

I get a complaint from a user that when she tries to use the shared disk it will end the connection. Now I noticed that the windows userid has spaces in it and it fails to unmount that one. Maybe that is the cause. This is from syslog

May  7 12:15:20 ambulantehulpverlening /usr/bin/x2gostartagent: successfully started X2Go agent session with ID mal00002-54-1367921719_stRstartcvix.sh_dp17
May  7 12:15:28 ambulantehulpverlening /usr/bin/x2gomountdirs[20495]: successfully mounted Erik van Malenstein@127.0.0.1:30012/windrive/C/Users/Erik van Malenstein/.x2go/S-mal00002-54-1367921719_stRstartcvix.sh_dp17/spool to /tmp/.x2go-mal00002/spool/C-mal00002-54-1367921719_stRstartcvix.sh_dp17
May  7 12:15:29 ambulantehulpverlening /usr/bin/x2gomountdirs[20534]: successfully mounted Erik van Malenstein@127.0.0.1:30012/windrive/C/Users/Erik van Malenstein/.x2go/S-mal00002-54-1367921719_stRstartcvix.sh_dp17/mimebox to /tmp/.x2go-mal00002/mimebox/C-mal00002-54-1367921719_stRstartcvix.sh_dp17
May  7 12:15:31 ambulantehulpverlening /usr/bin/x2gosetkeyboard: Setting X keyboard according to /home/mal00002/.x2go/C-mal00002-54-1367921719_stRstartcvix.sh_dp17/keyboard
May  7 12:15:33 ambulantehulpverlening /usr/bin/x2gomountdirs[20814]: successfully mounted Erik van Malenstein@127.0.0.1:30012/windrive/C/Users/Erik van Malenstein to /tmp/.x2go-mal00002/media/disk/_windrive_C_Users_Erik_van_Malenstein
May  7 12:15:40 ambulantehulpverlening postfix/smtpd[32626]: connect from localhost[127.0.0.1]
May  7 12:15:40 ambulantehulpverlening postfix/smtpd[32626]: disconnect from localhost[127.0.0.1]
May  7 12:16:41 ambulantehulpverlening postfix/smtpd[32626]: connect from localhost[127.0.0.1]
May  7 12:16:41 ambulantehulpverlening postfix/smtpd[32626]: disconnect from localhost[127.0.0.1]
May  7 12:17:01 ambulantehulpverlening CRON[22972]: (root) CMD (   cd / && run-parts --report /etc/cron.hourly)
May  7 12:17:40 ambulantehulpverlening postfix/smtpd[32626]: connect from localhost[127.0.0.1]
May  7 12:17:40 ambulantehulpverlening postfix/smtpd[32626]: disconnect from localhost[127.0.0.1]
May  7 12:18:40 ambulantehulpverlening postfix/smtpd[32626]: connect from localhost[127.0.0.1]
May  7 12:18:40 ambulantehulpverlening postfix/smtpd[32626]: disconnect from localhost[127.0.0.1]
May  7 12:18:58 ambulantehulpverlening /usr/bin/x2goumount-session[25304]: successfully unmounted /tmp/.x2go-hoornjva/spool/C-hoornjva-51-1367917939_stRstartcvix.sh_dp17
May  7 12:18:58 ambulantehulpverlening /usr/bin/x2goumount-session[25304]: successfully unmounted /tmp/.x2go-hoornjva/mimebox/C-hoornjva-51-1367917939_stRstartcvix.sh_dp17
May  7 12:18:59 ambulantehulpverlening /usr/bin/x2goumount-session[25304]: successfully unmounted /tmp/.x2go-hoornjva/media/disk/_windrive_C_Users_Gele
May  7 12:19:40 ambulantehulpverlening postfix/smtpd[32626]: connect from localhost[127.0.0.1]
May  7 12:19:40 ambulantehulpverlening postfix/smtpd[32626]: disconnect from localhost[127.0.0.1]
May  7 12:20:07 ambulantehulpverlening /usr/bin/x2goumount-session[26702]: successfully unmounted /tmp/.x2go-mal00002/spool/C-mal00002-54-1367921719_stRstartcvix.sh_dp17
May  7 12:20:08 ambulantehulpverlening /usr/bin/x2goumount-session[26702]: successfully unmounted /tmp/.x2go-mal00002/mimebox/C-mal00002-54-1367921719_stRstartcvix.sh_dp17
May  7 12:20:08 ambulantehulpverlening /usr/bin/x2goumount-session[26702]: ERROR: failed to unmount /tmp/.x2go-mal00002/media/disk/_windrive_C_Users_Erik_van_Malenstein


Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Changed Bug title to 'Possibly breakage in x2goumount-sessio for usernames that contain spaces' from 'Strange crash?' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Sat, 22 Jun 2013 10:15:54 GMT) Full text and rfc822 format available.

Changed Bug title to 'Possibly breakage in x2goumount-session for usernames that contain spaces' from 'Possibly breakage in x2goumount-sessio for usernames that contain spaces' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Sat, 22 Jun 2013 10:17:18 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#202; Package x2goserver. (Sat, 22 Jun 2013 13:00:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 22 Jun 2013 13:00:59 GMT) Full text and rfc822 format available.

Message #14 received at 202@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 202-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 202@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 22 Jun 2013 14:58:37 +0200 (CEST)
tag #202 pending
fixed #202 4.0.0.5
thanks

Hello,

X2Go issue #202 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1c1bc4d

The issue will most likely be fixed in src:x2goserver (4.0.0.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1c1bc4d2fb367f6de135d37f1040f11c66ccf5d3
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 22 14:57:06 2013 +0200

    Make x2goumount-session tolerant towards usernames that contain spaces (Fixes: #202).
    
    Conflicts (resolved by Mike Gabriel):
    	debian/changelog

diff --git a/debian/changelog b/debian/changelog
index b2655c9..cd382e6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+x2goserver (4.0.0.5-0~x2go1) UNRELEASED; urgency=low
+
+  * New upstream version (4.0.0.5):
+    - Make x2goumount-session tolerant towards usernames that contain spaces
+      (Fixes: #202).
+
+ -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 13 Jun 2013 14:56:28 +0200
+
 x2goserver (4.0.0.4-0~x2go1) unstable; urgency=low
 
   [ Jan Engelhardt ]


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 22 Jun 2013 13:00:59 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 22 Jun 2013 13:00:59 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#202. (Sat, 22 Jun 2013 13:00:59 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#202; Package x2goserver. (Sun, 28 Jul 2013 00:01:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 28 Jul 2013 00:01:03 GMT) Full text and rfc822 format available.

Message #26 received at 202@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 202-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 202@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 28 Jul 2013 01:48:21 +0200 (CEST)
close #202
thanks

Hello,

we are very hopeful that X2Go issue #202 reported by you
has been resolved in the new release (4.0.0.5) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.0.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c7669b9b74f4fc7c730d2c13e50f66c8b0036525;hp=bc1f6e55a56ca81c64a1236690a05ae1ec2d6c64

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.5
Status: RELEASE
Date: Sun, 28 Jul 2013 01:47:03 +0200
Fixes: 202
Changes: 
 x2goserver (4.0.0.5) RELEASED; urgency=low
 .
   * New upstream version (4.0.0.5):
     - Make x2goumount-session tolerant towards usernames that contain spaces
       (Fixes: #202).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:04 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Sun, 28 Jul 2013 00:01:04 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#202. (Sun, 28 Jul 2013 00:01:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 25 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Apr 23 10:05:20 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.